GEARMAN_WORKER_ADD_SERVERS(3)

NAME
gearman_worker_add_servers - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

    gearman_return_t <#c.gearman_return_t> gearman_worker_add_server(gearman_worker_st <#c.gearman_worker_st> *worker, const char *host, in_port_t <#c.in_port_t> port)

    gearman_return_t <#c.gearman_return_t> gearman_worker_add_servers(gearman_worker_st <#c.gearman_worker_st> *worker, const char *servers)

    void gearman_worker_remove_servers(gearman_worker_st <#c.gearman_worker_st> *worker)

Link with -lgearman

DESCRIPTION

gearman_worker_add_server() will add an additional gearmand server to the list of servers that the worker will take work from.

gearman_worker_remove_servers() will remove all servers from the gearman_worker_st <#c.gearman_worker_st>.

gearman_worker_add_servers() takes a list of gearmand servers that will be parsed to provide servers for the worker. The format for this is SERVER[:PORT][,SERVER[:PORT]]...

Examples of this are:

            10.0.0.1,10.0.0.2,10.0.0.3
            localhost234,jobserver2.domain.com:7003,10.0.0.3

RETURN VALUE

gearman_worker_add_server() and gearman_worker_remove_servers() return gearman_return_t <#c.gearman_return_t>.

HOME

To find out more information please check: <http://gearman.info/>

See also:
        gearmand Gearman Client/Worker Library <> gearman_worker_st <#c.gearman_worker_st>

Author
Data Differential http://www.datadifferential.com/

Copyright
2011-2014, Data Differential, http://www.datadifferential.com/